Package com.emc.d2fs.interfaces

# Interface ITaxonomyService

All Superinterfaces:
  `ID2fsService`

public interface ITaxonomyService extends ID2fsService
Taxonomy management services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataHandler`
  `exportTaxonomy(Context context, String taxonomyName, String format, String separator)`
  Export taxonomy -- Use getExportTaxonomyUrl() when using SOAP.
  `String`
  `getExportTaxonomyUrl(Context context, String objectNameOrId, String format, String separator)`
  Get export taxonomy url
  `String`
  `getImportTaxonomyUrl(Context context, String objectNameOrId, String separator, boolean overwrite)`
  Get import taxonomy url
  `Taxonomy`
  `getTaxonomyDetails(Context context, String taxonomyName)`
  Get taxonomy dump
  `void`
  `importTaxonomy(Context context, String taxonomyName, String format, String separator, DataHandler file)`
  Import taxonomy into docbase -- Use getImportTaxonomyUrl() when using SOAP.
  `String`
  `importVersionTaxonomy(Context context, String objectId, List<Attribute> attributes)`
  Import taxonomy version
  `List<TaxonomyOperationResult>`
  `performOperations(Context context, String tasonomyName, List<TaxonomyOperation> operations)`
  Perform taxonomy operations on specified element
  `String`
  `saveTaxonomy(Context context, String objectId, List<Attribute> attributes)`
  Save taxonomy
  `String`
  `saveVersionTaxonomy(Context context, String objectId, List<Attribute> attributes)`
  Save taxonomy version
  `void`
  `setBaseUrl(String url)`
  Set server base url used to build the url for `getExportTaxonomyUrl` or `getImportTaxonomyUrl`

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### performOperations

    List<TaxonomyOperationResult> performOperations(Context context, String tasonomyName, List<TaxonomyOperation> operations) throws D2fsException
    Perform taxonomy operations on specified element
    Parameters:
      `context` - `Context` object containing informations about client/session
      `tasonomyName` - String value of taxonomy name
      `operations` - `TaxonomyOperation` list of operations
    Returns:
      `TaxonomyOperationResult` list of result
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### importTaxonomy

    void importTaxonomy(Context context, String taxonomyName, String format, String separator, DataHandler file) throws D2fsException
    Import taxonomy into docbase -- Use getImportTaxonomyUrl() when using SOAP.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `taxonomyName` - String value of taxonomy name
      `format` - String value of taxonomy format
      `separator` - String value of data separator value
      `file` - `DataHandler` object of file data
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### exportTaxonomy

    DataHandler exportTaxonomy(Context context, String taxonomyName, String format, String separator) throws D2fsException
    Export taxonomy -- Use getExportTaxonomyUrl() when using SOAP.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `taxonomyName` - String value of taxonomy name
      `format` - String value of taxonomy format
      `separator` - String value of data separator value
    Returns:
      `DataHandler` object of file data
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### setBaseUrl

    void setBaseUrl(String url)
    Set server base url used to build the url for `getExportTaxonomyUrl` or `getImportTaxonomyUrl`
    Parameters:
      `url` - String value of base url
    Since:
      4.1.0

  - ### getExportTaxonomyUrl

    String getExportTaxonomyUrl(Context context, String objectNameOrId, String format, String separator) throws Exception
    Get export taxonomy url
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectNameOrId` - String Name or Id of the taxonomy to export
      `format` - String value of taxonomy format
      `separator` - String value of data separator value
    Returns:
      String value of export url
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### getImportTaxonomyUrl

    String getImportTaxonomyUrl(Context context, String objectNameOrId, String separator, boolean overwrite) throws Exception
    Get import taxonomy url
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectNameOrId` - String Name or Id of the taxonomy to import
      `separator` - String value of data separator value
      `overwrite` - boolean value for overwrite option, append if false
    Returns:
      String value of import url
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### saveTaxonomy

    String saveTaxonomy(Context context, String objectId, List<Attribute> attributes) throws Exception
    Save taxonomy
    Parameters:
      `context` - `Context` object containing informations about client/session
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### saveVersionTaxonomy

    String saveVersionTaxonomy(Context context, String objectId, List<Attribute> attributes) throws Exception
    Save taxonomy version
    Parameters:
      `context` - `Context` object containing informations about client/session
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### importVersionTaxonomy

    String importVersionTaxonomy(Context context, String objectId, List<Attribute> attributes) throws Exception
    Import taxonomy version
    Parameters:
      `context` - `Context` object containing informations about client/session
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### getTaxonomyDetails

    Taxonomy getTaxonomyDetails(Context context, String taxonomyName) throws Exception
    Get taxonomy dump
    Parameters:
      `context` - `Context` object containing informations about client/session
      `taxonomyName` - name of the taxonomy
    Returns:
      Taxonomy dump of taxonomy in tree form with other details
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.8.0